{
	"format_version" : "1.10.0",
	"animation_controllers" : {
		"controller.animation.player_frost_sword.root" : {
			"initial_state" : "first_person.idle",
			"states" : {
				"first_person.idle" : {
					"blend_transition": 0.1,
					"animations" : [ "frost_sword.first_person.idle" ],
					"transitions" : [ 
						{ "third_person.idle" : "!v.is_first_person && v.attack_time <= 0.0" },
						{ "first_person.attack" : "v.is_first_person && v.attack_time > 0.0" },
						{ "third_person.attack" : "!v.is_first_person && v.attack_time > 0.0" }
					]
				},
				"third_person.idle" : {
					"blend_transition": 0.1,
					"animations" : [ "frost_sword.third_person.idle" ],
					"transitions" : [ 
						{ "first_person.idle" : "v.is_first_person && v.attack_time <= 0.0" },
						{ "first_person.attack" : "v.is_first_person && v.attack_time > 0.0" },
						{ "third_person.attack" : "!v.is_first_person && v.attack_time > 0.0" }
					]
				},
				"first_person.attack" : {
					"blend_transition": 0.1,
					"animations" : [ "frost_sword.first_person.attack" ],
					"transitions" : [ 
						{ "first_person.idle" : "v.is_first_person && v.attack_time <= 0.0 && query.all_animations_finished" },
						{ "third_person.idle" : "!v.is_first_person && v.attack_time <= 0.0 && query.all_animations_finished" },
						{ "third_person.attack" : "!v.is_first_person && v.attack_time > 0.0 && query.all_animations_finished" }
					]
				},
				"third_person.attack" : {
					"blend_transition": 0.1,
					"animations" : [ "frost_sword.third_person.attack" ],
					"transitions" : [ 
						{ "first_person.idle" : "v.is_first_person && v.attack_time <= 0.0 && query.all_animations_finished" },
						{ "third_person.idle" : "!v.is_first_person && v.attack_time <= 0.0 && query.all_animations_finished" },
						{ "first_person.attack" : "v.is_first_person && v.attack_time > 0.0 && query.all_animations_finished" }
					]
				}
			}
		}
	}
}
